/*******************************************************************************
 *  Licensed Materials - Property of IBM
 * (C) Copyright IBM Corp.  2001, 2006.  All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.ccl.mapping.codegen;

public class XSLTConstants
{
  /** 
   *  Sort keywords
   */
	
  public static final String ORDER_VALUE_ASCENDING = "ascending";           //$NON-NLS-1$
  public static final String ORDER_VALUE_DESCENDING = "descending";         //$NON-NLS-1$
  public static final String CASE_ORDER_VALUE_UPPER_FIRST = "upper-first";  //$NON-NLS-1$
  public static final String CASE_ORDER_VALUE_LOWER_FIRST = "lower-first";  //$NON-NLS-1$
  public static final String DATA_TYPE_VALUE_NUMBER = "number";             //$NON-NLS-1$
  public static final String DATA_TYPE_VALUE_TEXT = "text";                 //$NON-NLS-1$

  public final static String ELEMENT_transform = "xsl:transform"; //$NON-NLS-1$
  public final static String ELEMENT_stylesheet = "xsl:stylesheet"; //$NON-NLS-1$
  public final static String ELEMENT_copy = "xsl:copy"; //$NON-NLS-1$
  public final static String ELEMENT_template = "xsl:template"; //$NON-NLS-1$
  public final static String ELEMENT_attribute = "xsl:attribute"; //$NON-NLS-1$
  public final static String ELEMENT_otherwise = "xsl:otherwise"; //$NON-NLS-1$
  public final static String ELEMENT_choose = "xsl:choose"; //$NON-NLS-1$
  public final static String ELEMENT_if = "xsl:if"; //$NON-NLS-1$
  public final static String ELEMENT_forEach = "xsl:for-each"; //$NON-NLS-1$
  public final static String ELEMENT_when = "xsl:when"; //$NON-NLS-1$
  public final static String ELEMENT_valueOf = "xsl:value-of"; //$NON-NLS-1$
  public final static String ELEMENT_param = "xsl:param"; //$NON-NLS-1$
  public final static String ELEMENT_variable = "xsl:variable"; //$NON-NLS-1$
  public final static String ELEMENT_callTemplate = "xsl:call-template"; //$NON-NLS-1$
  public final static String ELEMENT_applyTemplates = "xsl:apply-templates"; //$NON-NLS-1$
  public final static String ELEMENT_text = "xsl:text"; //$NON-NLS-1$
  public final static String ELEMENT_component = "lxslt:component"; //$NON-NLS-1$
  public final static String ELEMENT_script = "lxslt:script"; //$NON-NLS-1$
  public final static String ELEMENT_sort = "xsl:sort"; //$NON-NLS-1$

  /**
   * XSLT attributes
   */

  public final static String ATTRIBUTE_select = "select"; //$NON-NLS-1$
  public final static String ATTRIBUTE_match = "match"; //$NON-NLS-1$
  public final static String ATTRIBUTE_mode = "mode"; //$NON-NLS-1$
  public final static String ATTRIBUTE_name = "name"; //$NON-NLS-1$
  public final static String ATTRIBUTE_test = "test"; //$NON-NLS-1$
  public final static String ATTRIBUTE_prefix = "prefix"; //$NON-NLS-1$
  public final static String ATTRIBUTE_functions = "functions"; //$NON-NLS-1$
  public final static String ATTRIBUTE_lang = "lang"; //$NON-NLS-1$
  public final static String ATTRIBUTE_order = "order"; //$NON-NLS-1$
  public final static String ATTRIBUTE_caseOrder = "case-order"; //$NON-NLS-1$
  public final static String ATTRIBUTE_dataType = "data-type"; //$NON-NLS-1$
  public final static String ATTRIBUTE_src = "src"; //$NON-NLS-1$
  public final static String ATTRIBUTE_encoding = "encoding"; //$NON-NLS-1$

  /**
   * XSLT/XPATH Functions
   */

  public final static String FUNCTION_text = "text"; //$NON-NLS-1$
  public final static String FUNCTION_current = "current"; //$NON-NLS-1$
  public final static String FUNCTION_document = "document"; //$NON-NLS-1$
  public final static String FUNCTION_concat = "concat"; //$NON-NLS-1$
  public final static String FUNCTION_contains = "contains"; //$NON-NLS-1$
  public final static String FUNCTION_normalizeSpace = "normalize-space"; //$NON-NLS-1$
  public final static String FUNCTION_substring = "substring"; //$NON-NLS-1$
  public final static String FUNCTION_substringBefore = "substring-before"; //$NON-NLS-1$
  public final static String FUNCTION_substringAfter = "substring-after"; //$NON-NLS-1$
  public final static String FUNCTION_startsWith = "starts-with"; //$NON-NLS-1$
  public final static String FUNCTION_string = "string"; //$NON-NLS-1$
  public final static String FUNCTION_stringLength = "string-length"; //$NON-NLS-1$
  public final static String FUNCTION_translate = "translate"; //$NON-NLS-1$
  public final static String FUNCTION_ceiling = "ceiling"; //$NON-NLS-1$
  public final static String FUNCTION_count = "count"; //$NON-NLS-1$
  public final static String FUNCTION_floor = "floor"; //$NON-NLS-1$
  public final static String FUNCTION_number = "number"; //$NON-NLS-1$
  public final static String FUNCTION_round = "round"; //$NON-NLS-1$
  public final static String FUNCTION_sum = "sum"; //$NON-NLS-1$
  public final static String FUNCTION_plus = "+"; //$NON-NLS-1$
  public final static String FUNCTION_minus = "-"; //$NON-NLS-1$
  public final static String FUNCTION_multiply = "*"; //$NON-NLS-1$
  public final static String FUNCTION_divide = "div"; //$NON-NLS-1$
  public final static String FUNCTION_node = "node"; //$NON-NLS-1$
  public final static String FUNCTION_boolean = "boolean"; //$NON-NLS-1$
  public final static String FUNCTION_not = "not"; //$NON-NLS-1$
  public final static String FUNCTION_lessThan = "<"; //$NON-NLS-1$
  public final static String FUNCTION_lessThanOrEqualTo = "<="; //$NON-NLS-1$
  public final static String FUNCTION_equalTo = "="; //$NON-NLS-1$
  public final static String FUNCTION_greaterThan = ">"; //$NON-NLS-1$
  public final static String FUNCTION_greaterThanOrEqualTo = ">="; //$NON-NLS-1$
  public final static String FUNCTION_notEqualTo = "!="; //$NON-NLS-1$
  public final static String FUNCTION_namespaceURI = "namespace-uri"; //$NON-NLS-1$

  /**
   * XSLT/XPATH Operators
   */
	
  public final static String OPERATOR_plus = "+"; //$NON-NLS-1$
  public final static String OPERATOR_minus = "-"; //$NON-NLS-1$
  public final static String OPERATOR_multiply = "*"; //$NON-NLS-1$
  public final static String OPERATOR_divide = "div"; //$NON-NLS-1$
  public final static String OPERATOR_lessThan = "<"; //$NON-NLS-1$
  public final static String OPERATOR_lessThanOrEqualTo = "<="; //$NON-NLS-1$
  public final static String OPERATOR_greaterThan = ">"; //$NON-NLS-1$
  public final static String OPERATOR_greaterThanOrEqualTo = ">="; //$NON-NLS-1$
  public final static String OPERATOR_equalTo = "="; //$NON-NLS-1$
  public final static String OPERATOR_notEqualTo = "!="; //$NON-NLS-1$
  public final static String XML_ENCODED_OPERATOR_lessThan = "&lt;"; //$NON-NLS-1$
  public final static String XML_ENCODED_OPERATOR_lessThanOrEqualTo = "&lt;="; //$NON-NLS-1$
  public final static String XML_ENCODED_OPERATOR_greaterThan = "&gt;"; //$NON-NLS-1$
  public final static String XML_ENCODED_OPERATOR_greaterThanOrEqualTo = "&gt;="; //$NON-NLS-1$
  public final static String XML_ENCODED_OPERATOR_equalTo = "="; //$NON-NLS-1$
  public final static String KEYWORD_javaclass = "javaclass"; //$NON-NLS-1$
  public final static String KEYWORD_javascript = "javascript"; //$NON-NLS-1$

  /**
   * Miscellaneous
   */

  public final static String Ampersand = "&"; //$NON-NLS-1$
  public final static String EmptyString = ""; //$NON-NLS-1$
  public final static String Equals = "="; //$NON-NLS-1$
  public final static String Space = " "; //$NON-NLS-1$
  public final static String SpaceSpace = "  "; //$NON-NLS-1$
  public final static String Dot = "."; //$NON-NLS-1$
  public final static String DotDot = ".."; //$NON-NLS-1$
  public final static String Comma = ","; //$NON-NLS-1$
  public final static String Colon = ":"; //$NON-NLS-1$
  public final static String ColonColon = "::"; //$NON-NLS-1$
  public final static String AtSign = "@"; //$NON-NLS-1$
  public final static String AtSignStar = "@*"; //$NON-NLS-1$
  public final static String Star = "*"; //$NON-NLS-1$
  public final static String Slash = "/"; //$NON-NLS-1$
  public final static String BackSlash = "\\"; //$NON-NLS-1$
  public final static String SingleQuote = "\'"; //$NON-NLS-1$
  public final static String Semicolon = ";"; //$NON-NLS-1$
  public final static String Quote = "\""; //$NON-NLS-1$
  public final static String SlashSlash = "//"; //$NON-NLS-1$
  public final static String Dollar = "$"; //$NON-NLS-1$
  public final static String LParen = "("; //$NON-NLS-1$
  public final static String Pipe = "|"; //$NON-NLS-1$
  public final static String RParen = ")"; //$NON-NLS-1$
  public final static String Parens = "()"; //$NON-NLS-1$
  public final static String LBracket = "<"; //$NON-NLS-1$
  public final static String LBracketSlash = "</"; //$NON-NLS-1$
  public final static String RBracket = ">"; //$NON-NLS-1$
  public final static String RSquareBracket = "]"; //$NON-NLS-1$
  public final static String LSquareBracket = "["; //$NON-NLS-1$
  public final static String QuoteRBracket = "\">"; //$NON-NLS-1$
  public final static String QuoteSlashRBracket = "\"/>"; //$NON-NLS-1$
  public final static String SlashQuoteRBracket = "/\">"; //$NON-NLS-1$
  public final static String SlashRBracket = "/>"; //$NON-NLS-1$
  public final static String NewLine = "\n"; //$NON-NLS-1$
  public final static String Or = "or"; //$NON-NLS-1$
  public final static String And = "and"; //$NON-NLS-1$
  public final static String FirstOccurrence = "[1]"; //$NON-NLS-1$
  public final static String XML_ENCODED_quote = "&quot;"; //$NON-NLS-1$
  public final static String XML_ENCODED_singleQuote = "&apos;"; //$NON-NLS-1$
  public static final String XML_ENCODED_ampersand = "&amp;"; //$NON-NLS-1$
  
  /**
   * Axes.
   */
  public static final String AXIS_FOLLOWING_SIBLING = "following-sibling"; //$NON-NLS-1$
}