package com.ibm.ccl.mapping.codegen.util;

public class MappingConstants 
{
  /**
   * MappingInfo values of a target object (EObject).
   * 
   * NO_MAPPING: the target is not mapped nor does it have any mapped content.
   * NO_MAPPING_WITH_MAPPED_CONTENT: the target itself is not mapped but it does have mapped content.
   * SINGLE_MAPPING: the target is mapped to a single source.
   * SINGLE_MAPPING_WITH_MULTIPLE_INPUTS: the target is mapped to multiple sources.
   * MULTIPLE_MAPPINGS: the target has multiple mappings defined on it.
   */
  public final static int NO_MAPPING = 0;
  public final static int NO_MAPPING_WITH_MAPPED_CONTENT = 1;
  public final static int SINGLE_MAPPING = 2;
  public final static int SINGLE_MAPPING_WITH_MULTIPLE_INPUTS = 3;
  public final static int MULTIPLE_MAPPINGS = 4;	
}
